# draugr.opencv_utilities.namespaces.enums.ContourRetrievalModeEnum

class draugr.opencv_utilities.namespaces.enums.ContourRetrievalModeEnum(value)

  Bases: `Enum`

  > RETR_EXTERNAL retrieves only the extreme outer contours. It sets hierarchy[i][2]=hierarchy[i][3]=-1 for all the contours.

  RETR_LIST retrieves all of the contours without establishing any hierarchical relationships. RETR_CCOMP retrieves all of the contours and organizes them into a two-level hierarchy. At the top level, there are external boundaries of the components. At the second level, there are boundaries of the holes. If there is another contour inside a hole of a connected component, it is still put at the top level. RETR_TREE retrieves all of the contours and reconstructs a full hierarchy of nested contours. This full hierarchy is built and shown in the OpenCV contours.c demo.

  > return

  > rtype

  __init__()

  Attributes

  `external` |
  `list_all` |
  `ccomp` |
  `tree` |